using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string str = Console.ReadLine();
            char[] ch = str.ToCharArray();
            char c1 = ch[0], c2 = ch[1];
            string[] str2 = Console.ReadLine().Split();
            int a1 = int.Parse(str2[0]), a2 = int.Parse(str2[1]), lenght = a1 + a2;
            bool provera = false;
            string rec = "";
            for (int i = 0; i < lenght; i++)
            {
                if(i%2==0 && a1!=0)
                {
                    rec += c1;
                    a1--;
                }
                else if(a2!=0)
                {
                    rec += c2;
                    a2--;
                }
            }
            for(int i=1;i<rec.Length;i++)
            {
                if(rec[i]!=rec[i-1])
                {
                    provera = true;
                }
                else
                {
                    provera = false;
                }
            }
            if(provera)
            {
                Console.WriteLine(rec);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
            Console.ReadLine();
        }
    }
}